Next Previous Contents

## 3.210 videomode

> Function

>   Switch to either 40 or 80 column mode.

> Header

>   `apple2enh.h, c128.h`

> Declaration

>   `unsigned __fastcall__ videomode (unsigned Mode);`

> Description

>   Switch to 40 or 80 column mode depending on the argument. If the requested mode is already active, nothing happens. The old mode is returned from the call.

> Limits

>   - The function is specific to the C128 and enhanced Apple //e.
>   - This function replaces toggle_videomode.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   C128 and enhanced Apple //e

> See also

>   fast, slow, toggle_videomode

> Example

>   None.

Next Previous Contents